Bug 225304 - Merge Review: avahi
Merge Review: avahi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-29 16:09 EST by Nobody's working on this, feel free to take it
Modified: 2015-10-10 08:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-10 08:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-29 16:09:26 EST
Fedora Merge Review: avahi

http://cvs.fedora.redhat.com/viewcvs/devel/avahi/
Comment 1 Ignacio Vazquez-Abrams 2007-06-19 22:58:55 EDT
First some notes:

Qt4 libraries not being built
Doxygen/Monodoc docs not being built
Tests not built

Now the rpmlint output:

avahi-0.6.17-1.fc7.i386.rpm:
E: avahi script-without-shebang
/usr/share/avahi/introspection/ServiceResolver.introspect
E: avahi script-without-shebang
/usr/share/avahi/introspection/AddressResolver.introspect
W: avahi non-conffile-in-etc /etc/avahi/hosts
E: avahi script-without-shebang /usr/share/avahi/introspection/EntryGroup.introspect
E: avahi non-executable-script /etc/avahi/avahi-autoipd.action 0644
E: avahi script-without-shebang
/usr/share/avahi/introspection/ServiceBrowser.introspect
E: avahi non-executable-script /etc/avahi/avahi-dnsconfd.action 0644
E: avahi script-without-shebang
/usr/share/avahi/introspection/HostNameResolver.introspect
E: avahi script-without-shebang /usr/share/avahi/avahi-service.dtd
E: avahi script-without-shebang
/usr/share/avahi/introspection/RecordBrowser.introspect
E: avahi script-without-shebang
/usr/share/avahi/introspection/ServiceTypeBrowser.introspect
E: avahi non-standard-uid /var/run/avahi-daemon avahi
E: avahi non-standard-gid /var/run/avahi-daemon avahi
E: avahi script-without-shebang
/usr/share/avahi/introspection/DomainBrowser.introspect
E: avahi script-without-shebang /usr/share/avahi/introspection/Server.introspect
E: avahi explicit-lib-dependency libcap
E: avahi explicit-lib-dependency libdaemon
W: avahi obsolete-not-provided howl
W: avahi conffile-without-noreplace-flag /etc/avahi/avahi-autoipd.action
W: avahi conffile-without-noreplace-flag /etc/avahi/avahi-daemon.conf
W: avahi conffile-without-noreplace-flag /etc/avahi/avahi-dnsconfd.action
W: avahi conffile-without-noreplace-flag /etc/avahi/services/sftp-ssh.service
W: avahi conffile-without-noreplace-flag /etc/dbus-1/system.d/avahi-dbus.conf
W: avahi dangerous-command-in-%post cp
W: avahi service-default-enabled /etc/rc.d/init.d/avahi-daemon
avahi-0.6.17-1.fc7.src.rpm:
W: avahi unversioned-explicit-obsoletes howl
W: avahi unversioned-explicit-obsoletes howl-libs
W: avahi unversioned-explicit-obsoletes howl-devel
E: avahi hardcoded-library-path in %{_prefix}/lib/python?.?/site-packages/*
W: avahi macro-in-%changelog _prefix
W: avahi macro-in-%changelog post
W: avahi macro-in-%changelog files
W: avahi mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 14)
avahi-compat-howl-0.6.17-1.fc7.i386.rpm:
W: avahi-compat-howl no-documentation
E: avahi-compat-howl library-without-ldconfig-postin /usr/lib/libhowl.so.0.0.0
E: avahi-compat-howl library-without-ldconfig-postun /usr/lib/libhowl.so.0.0.0
W: avahi-compat-howl summary-ended-with-dot Libraries for howl compatibility.
W: avahi-compat-howl obsolete-not-provided howl-libs
avahi-compat-howl-devel-0.6.17-1.fc7.i386.rpm:
W: avahi-compat-howl-devel no-documentation
W: avahi-compat-howl-devel summary-ended-with-dot Header files for development
with the howl compatibility libraries.
W: avahi-compat-howl-devel obsolete-not-provided howl-devel
avahi-compat-libdns_sd-0.6.17-1.fc7.i386.rpm:
W: avahi-compat-libdns_sd no-documentation
E: avahi-compat-libdns_sd library-without-ldconfig-postin
/usr/lib/libdns_sd.so.1.0.0
E: avahi-compat-libdns_sd library-without-ldconfig-postun
/usr/lib/libdns_sd.so.1.0.0
W: avahi-compat-libdns_sd summary-ended-with-dot Libraries for Apple Bonjour
mDNSResponder compatibility.
avahi-compat-libdns_sd-devel-0.6.17-1.fc7.i386.rpm:
W: avahi-compat-libdns_sd-devel no-documentation
W: avahi-compat-libdns_sd-devel summary-ended-with-dot Header files for
development with the Apple Bonjour mDNSResponder compatibility libraries.
E: avahi-compat-libdns_sd-devel summary-too-long Header files for development
with the Apple Bonjour mDNSResponder compatibility libraries.
E: avahi-compat-libdns_sd-devel description-line-too-long Header files for
development with the Apple Bonjour mDNSResponder compatibility libraries.
avahi-debuginfo-0.6.17-1.fc7.i386.rpm:
avahi-devel-0.6.17-1.fc7.i386.rpm:
W: avahi-devel no-documentation
avahi-glib-0.6.17-1.fc7.i386.rpm:
W: avahi-glib no-documentation
avahi-glib-devel-0.6.17-1.fc7.i386.rpm:
W: avahi-glib-devel no-documentation
avahi-qt3-0.6.17-1.fc7.i386.rpm:
W: avahi-qt3 no-documentation
W: avahi-qt3 devel-file-in-non-devel-package /usr/lib/pkgconfig/avahi-qt3.pc
avahi-qt3-devel-0.6.17-1.fc7.i386.rpm:
W: avahi-qt3-devel no-documentation
avahi-sharp-0.6.17-1.fc7.i386.rpm:
W: avahi-sharp no-documentation
W: avahi-sharp devel-file-in-non-devel-package /usr/lib/pkgconfig/avahi-sharp.pc
E: avahi-sharp only-non-binary-in-usr-lib
avahi-tools-0.6.17-1.fc7.i386.rpm:
E: avahi-tools script-without-shebang
/usr/lib/python2.5/site-packages/avahi/__init__.py
E: avahi-tools script-without-shebang /usr/share/avahi/service-types
E: avahi-tools script-without-shebang
/usr/share/avahi/interfaces/avahi-discover.glade
E: avahi-tools script-without-shebang
/usr/lib/python2.5/site-packages/avahi/SimpleGladeApp.py
E: avahi-tools explicit-lib-dependency libglade2
Comment 2 Toshio Ernie Kuratomi 2009-04-24 06:27:39 EDT
Adding lennart as he's the package owner.
Comment 3 Cole Robinson 2015-02-11 15:35:32 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 4 Jan Kurik 2015-07-15 11:27:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 5 Rex Dieter 2015-10-10 08:22:37 EDT
This package should be in pretty good packaging shape these days, closing

Note You need to log in before you can comment on or make changes to this bug.